
From: Adrian Bunk <bunk@stusta.de>

sync_page_range_nolock isn't used outside of this file.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/writeback.h |    2 --
 mm/filemap.c              |    6 +++---
 2 files changed, 3 insertions(+), 5 deletions(-)

diff -puN include/linux/writeback.h~mm-filemapc-make-sync_page_range_nolock-static include/linux/writeback.h
--- 25/include/linux/writeback.h~mm-filemapc-make-sync_page_range_nolock-static	2005-05-05 14:42:41.000000000 -0700
+++ 25-akpm/include/linux/writeback.h	2005-05-05 14:42:41.000000000 -0700
@@ -109,8 +109,6 @@ int pdflush_operation(void (*fn)(unsigne
 int do_writepages(struct address_space *mapping, struct writeback_control *wbc);
 int sync_page_range(struct inode *inode, struct address_space *mapping,
 			loff_t pos, size_t count);
-int sync_page_range_nolock(struct inode *inode, struct address_space
-		*mapping, loff_t pos, size_t count);
 
 /* pdflush.c */
 extern int nr_pdflush_threads;	/* Global so it can be exported to sysctl
diff -puN mm/filemap.c~mm-filemapc-make-sync_page_range_nolock-static mm/filemap.c
--- 25/mm/filemap.c~mm-filemapc-make-sync_page_range_nolock-static	2005-05-05 14:42:41.000000000 -0700
+++ 25-akpm/mm/filemap.c	2005-05-05 14:42:41.000000000 -0700
@@ -303,8 +303,9 @@ EXPORT_SYMBOL(sync_page_range);
  * as it forces O_SYNC writers to different parts of the same file
  * to be serialised right until io completion.
  */
-int sync_page_range_nolock(struct inode *inode, struct address_space *mapping,
-			loff_t pos, size_t count)
+static int sync_page_range_nolock(struct inode *inode,
+				  struct address_space *mapping,
+				  loff_t pos, size_t count)
 {
 	pgoff_t start = pos >> PAGE_CACHE_SHIFT;
 	pgoff_t end = (pos + count - 1) >> PAGE_CACHE_SHIFT;
@@ -319,7 +320,6 @@ int sync_page_range_nolock(struct inode 
 		ret = wait_on_page_writeback_range(mapping, start, end);
 	return ret;
 }
-EXPORT_SYMBOL(sync_page_range_nolock);
 
 /**
  * filemap_fdatawait - walk the list of under-writeback pages of the given
_
